#!/bin/sh
# script for execution of ConvertSacFormat
#
# Run from the command line as:
# ./run_ConvertSacFormat.sh <mcr_directory> 
# where <mcr_directory> is your DigitSeis directory appended with the path to the MATLAB runtimes as follows:
# {DIGITSEIS DIRECTORY HERE}/resources/MATLAB_Runtime/v95
#
# Alternatively, replace {INSERT_DIGITSEIS_DIR_HERE} at line 20 with your DigitSeis directory
# this script can then just be run as ./run_ConvertSacFormat 
# If this has been done, then under info (cmd+I) for this file you may change the default application for opening 
# it to Terminal and it should automatically launch
# 
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
  echo Usage:
  echo    $0 \<deployedMCRroot\> args
else
  echo Setting up environment variables
  MCRROOT="${INSERT_DIGITSEIS_DIR_HERE}/resources/MATLAB_Runtime/v95"
  echo ---
  DYLD_LIBRARY_PATH=.:${MCRROOT}/runtime/maci64 ;
  DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${MCRROOT}/bin/maci64 ;
  DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${MCRROOT}/sys/os/maci64;
  export DYLD_LIBRARY_PATH;
  echo DYLD_LIBRARY_PATH is ${DYLD_LIBRARY_PATH};
  shift 1
  args=
  while [ $# -gt 0 ]; do
      token=$1
      args="${args} \"${token}\"" 
      shift
  done
  eval "\"${exe_dir}/ConvertSacFormat.app/Contents/MacOS/ConvertSacFormat\"" $args
fi
exit

